services:
  stirling-pdf:
    container_name: pdf
    image: frooodle/s-pdf
    mem_limit: 1g
    cpu_shares: 768
    security_opt:
      - no-new-privileges:true
    healthcheck:
     test: curl -f http://localhost:8080/ || exit 1
    ports:
      - 7890:8080
    volumes:
      - ./data:/usr/share/tesseract-ocr/4.00/tessdata:rw # Required for extra OCR languages
      - ./config:/configs:rw
    environment:
     DOCKER_ENABLE_SECURITY: true # or false
   # SECURITY_ENABLELOGIN: true #or false
   # SECURITY_INITIALLOGIN_USERNAME:
   # SECURITY_INITIALLOGIN_PASSWORD:
     SECURITY_CSRFDISABLED: false
     SYSTEM_DEFAULTLOCALE: fr_FR # or fr_FR
     UI_APPNAME: Pierre-Rouge-PDF
     UI_HOMEDESCRIPTION: Utilitaire libre pour vos PDFs
     UI_APPNAMENAVBAR: Pierre-Rouge-PDF
     SYSTEM_MAXFILESIZE: 512 # Set the maximum file size in MB
     METRICS_ENABLED: true
     SYSTEM_GOOGLEVISIBILITY: false # or true
    restart: unless-stopped
